Bug 118117 - Pivot table with column named "Data"
Summary: Pivot table with column named "Data"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:7.4.0 target:7.3.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Pivot-Table
  Show dependency treegraph
 
Reported: 2018-06-11 19:15 UTC by Helder Guerreiro
Modified: 2022-03-03 16:16 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Pivot table "Data" in column header (14.03 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-06-11 19:15 UTC, Helder Guerreiro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Helder Guerreiro 2018-06-11 19:15:08 UTC
Created attachment 142663 [details]
Pivot table "Data" in column header

If we have a column named "Data" (case matters) when creating a pivot table the aggregates will be shown in a single column.

To reproduce the problem do the following:

i) Open the attached file
ii) Change cell B4 to "Data" (without the quotes)
iii) Refresh the pivot table

The aggregates will be shown in a single column.

If we change back B4 cell to "B" and refresh the table, the aggregates will be shown in three columns.

The column labels should not change the pivot table layout.
Comment 1 Drew Jensen 2018-06-11 19:37:51 UTC
Using Ubuntu 18.04 with 6.0.3.2 (Ubuntu repo) and 6.1 Beta 1 (daily build dated the 10th) the error happens in both versions.

Also tried it with 5.4.7 (rel) on Ubutnu 18.04 and the errant behavior is not present. Setting as regression.
Comment 2 Xisco Faulí 2018-06-12 08:46:22 UTC
Regression introduced by:

author	Kohei Yoshida <kohei.yoshida@collabora.com>	2017-05-23 22:09:40 -0400
committer	Kohei Yoshida <libreoffice@kohei.us>	2017-06-06 05:00:33 +0200
commit a078328e91ab9cbd78a92608c1abdc2c57ff9ac5 (patch)
tree 2d5dbb6ef9456e2ce5fe256f3a0ac76bdbccec49
parent 59c0682c46e52aa18bdbee4c14ef05af9329de33 (diff)
tdf#107945: prepare for future multi-threading of pivot cache...
It's disabled for now. We need to first make the edit engine and
a few other places thread-safe before we can parallelize this code.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Kohei Yoshida
Comment 3 QA Administrators 2019-10-05 03:07:00 UTC Comment hidden (obsolete)
Comment 4 Helder Guerreiro 2019-10-07 09:38:39 UTC
Tested this and, I'm afraid, the problem it's still present in LO 6.3.2.2.

Version: 6.3.2.2 (x64)
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU threads: 6; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: fr-FR (fr_FR); UI-Language: en-GB
Calc: threaded

I've tested also on a slightly older version (LO 6.3.1.2) with the same results:

Version: 6.3.1.2
Build ID: 1:6.3.1~rc2-0ubuntu0.19.04.1~lo1
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: en-US (pt_PT.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Helder Guerreiro 2019-10-18 09:51:19 UTC
Tested also on:

Version: 6.3.2.2
Build ID: 1:6.3.2-0ubuntu0.19.04.1~lo1
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: en-US (pt_PT.UTF-8); UI-Language: en-US
Calc: threaded

Same results.
Comment 6 s5t1e3v4e3m11@hotmail.com 2021-05-03 15:48:05 UTC
Still there with:

Version: 7.1.2.2 (x64) / LibreOffice Community
Build ID: 8a45595d069ef5570103caea1b71cc9d82b2aae4
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-GB (en_GB); UI: en-US
Calc: 

(Also tested threaded: no difference)
Comment 7 Justin L 2022-03-01 09:48:57 UTC
proposed fix at http://gerrit.libreoffice.org/c/core/+/130386
Comment 8 Commit Notification 2022-03-02 05:13:12 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b7f654a406b704f469d1df424d83a3d98ae46432

tdf#118117 sc pivottable: STR_PIVOT_DATA is an existing name too

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-03-03 16:16:54 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/268bddd26cc006a7b4a1f9142245aecbff51c173

tdf#118117 sc pivottable: STR_PIVOT_DATA is an existing name too

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.